Place perpetual order
curl --request POST \
--url https://api.trydocent.com/v1/orders/perp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "BTC",
"size": "0.01",
"price": 100000,
"reduceOnly": true,
"takeProfitPrice": 123,
"stopLossPrice": 123
}
'import requests
url = "https://api.trydocent.com/v1/orders/perp"
payload = {
"symbol": "BTC",
"size": "0.01",
"price": 100000,
"reduceOnly": True,
"takeProfitPrice": 123,
"stopLossPrice": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: 'BTC',
size: '0.01',
price: 100000,
reduceOnly: true,
takeProfitPrice: 123,
stopLossPrice: 123
})
};
fetch('https://api.trydocent.com/v1/orders/perp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"actionId": "<string>",
"workflowId": "<string>"
}{
"error": "<string>",
"code": "UNAUTHORIZED",
"retryAfter": 123
}Orders
Place perpetual order
Place a perpetual futures order on Hyperliquid. Supports market and limit orders with optional TP/SL. The order executes asynchronously via a durable workflow — poll /v1/actions to track status.
Docent automatically funds the order from your unified balance if needed.
POST
/
v1
/
orders
/
perp
Place perpetual order
Authorizations
API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...
Body
application/json
Canonical perpetual symbol (for example BTC, ETH, or xyz:NVDA)
Example:
"BTC"
Available options:
long, short Order size in base units
Example:
"0.01"
Available options:
market, limit Limit price (required for limit orders)
Example:
100000
Only reduce an existing position
Take-profit trigger price
Stop-loss trigger price